- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_rand.h File Reference

A simple thread safe and reentrant random number generator. More...

`#include <axutil_error.h>`
`#include <axutil_env.h>`
`#include <axutil_date_time.h>`
`#include <axutil_base64_binary.h>`

Go to the source code of this file.

## Functions
AXIS2_EXTERN int | axutil_rand (unsigned int *seedp)
AXIS2_EXTERN int | axutil_rand_with_range (unsigned int *seedp, int start, int end)
AXIS2_EXTERN unsigned int | axutil_rand_get_seed_value_based_on_time (const axutil_env_t *env)

## Detailed Description

A simple thread safe and reentrant random number generator.